[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Migration hint needed for wireless-tools

On Monday 04 January 2010, Luk Claes wrote:
> > We need to do another upload of debian-installer to fix an issue with
> > syslinux menus on x86, but it FTBFS on amd64 because:
> >   The following packages have unmet dependencies:
> >     netcfg: Depends: libiw30-udeb (>= 30~pre1) but it is not
> > installable
> >
> > Apparently britney has decided to migrate the binNMUs for netcfg
> > without checking that their dependencies are met. It would be nice if
> > that bug were fixed as well.
> It did not, though our tools failed to output that this was the culprit.

Not sure what you mean by "this was the culprit".

The binNMUs should *never* have been allowed to migrate without 
wireless-tools migrating first or at the same time.

The dependencies of the binNMU'ed udebs where clearly ignored, either by 
britney or by the release team. If this had happened after a D-I release, 
it would have broken all netboot images and weekly CDs.

What went wrong?
How will the same happening again be prevented for the future?

Reply to: